<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <name>employer-details</name>
    <description>Employer Details RESTful Service</description>

    <parent>
        <groupId>uk.nhs.nhsbsa.pensions.fic</groupId>
        <artifactId>finance-parent</artifactId>
        <version>1.0-SNAPSHOT</version>
    </parent>

    <groupId>uk.nhs.nhsbsa.pensions.fic</groupId>
    <artifactId>employer-details-service</artifactId>
    <packaging>jar</packaging>


    <!-- <distributionManagement>
        <repository>
            <id>maven-s3-release-repo</id>
            <name>NHSBSA Release Repository</name>
            <url>${repos.url}/releases</url>
        </repository>
        <snapshotRepository>
            <id>maven-s3-snapshot-repo</id>
            <name>NHSBSA Snapshot Repository</name>
            <url>${repos.url}/snapshots</url>
        </snapshotRepository>
    </distributionManagement> -->

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <swagger.version>2.6.1</swagger.version>
        <sonar.java.coveragePlugin>jacoco</sonar.java.coveragePlugin>
        <sonar.dynamicAnalysis>reuseReports</sonar.dynamicAnalysis>
        <sonar.jacoco.reportsPath>target/jacoco.exec</sonar.jacoco.reportsPath>
        <sonar.language>java</sonar.language>
        <sonar.projectName>nhs-finance</sonar.projectName>
        <sonar.java.binaries>target/classes</sonar.java.binaries>
        <sonar.host.url>https://${SONAR_REMOTE_URL}:${SONAR_REMOTE_URL_PORT}</sonar.host.url>
    </properties>

	<dependencies>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-sleuth</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-jpa</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>
		<!--
		Ignore spring security for now!
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-security</artifactId>
		</dependency>
		-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-validation</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-devtools</artifactId>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-jpa</artifactId>
		</dependency>
		<dependency>
			<groupId>org.postgresql</groupId>
			<artifactId>postgresql</artifactId>
			<version>${postgresql.version}</version>
		</dependency>
		<dependency>
			<groupId>com.h2database</groupId>
			<artifactId>h2</artifactId>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger2</artifactId>
			<version>${swagger.version}</version>
		</dependency>
		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger-ui</artifactId>
			<version>${swagger.version}</version>
		</dependency>
    <dependency>
      <groupId>uk.nhs.nhsbsa.pensions.fic</groupId>
      <artifactId>domain</artifactId>
      <version>1.0-SNAPSHOT</version>
    </dependency>
	</dependencies>

    <dependencyManagement>
      <dependencies>
        <dependency>
          <groupId>org.springframework.cloud</groupId>
          <artifactId>spring-cloud-dependencies</artifactId>
          <version>Camden.SR5</version>
          <type>pom</type>
          <scope>import</scope>
        </dependency>
      </dependencies>
    </dependencyManagement>

    <build>
      <plugins>
        <plugin>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-maven-plugin</artifactId>
        </plugin>
        <plugin>
          <groupId>org.jacoco</groupId>
          <artifactId>jacoco-maven-plugin</artifactId>
          <version>0.7.9</version>
          <configuration>
            <excludes>
              <exclude>**/uk/nhs/nhsbsa/finance/employerdetails/EmployerDetailsApplication.class</exclude>
              <exclude>**/uk/nhs/nhsbsa/finance/employerdetails/config/**</exclude>
              <exclude>**/uk/nhs/nhsbsa/finance/employerdetails/entity/*</exclude>
              <exclude>**/uk/nhs/nhsbsa/finance/employerdetails/view/*</exclude>
            </excludes>
          </configuration>
          <executions>
              <execution>
                  <goals>
                      <goal>prepare-agent</goal>
                  </goals>
              </execution>
              <execution>
                  <id>jacoco-site</id>
                  <goals>
                      <goal>report</goal>
                  </goals>
              </execution>
          </executions>
        </plugin>
        <plugin>
          <groupId>org.springframework.boot</groupId>
          <artifactId>spring-boot-maven-plugin</artifactId>
          <configuration>
            <executable>true</executable>
          </configuration>
        </plugin>
      </plugins>
      <extensions>
          <extension>
              <groupId>org.springframework.build</groupId>
              <artifactId>aws-maven</artifactId>
              <version>5.0.0.RELEASE</version>
          </extension>
      </extensions>
    </build>


</project>
